Coin Insights
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/insights \
--header 'x-cg-pro-api-key: <api-key>'[
{
"title": "Solana Experiences Surge in Memecoin Launches and Impersonation Scams",
"description": "Solana's network is seeing a rise in memecoin launches and rapid pumps. However, this speculative activity is accompanied by impersonation scams, posing risks to the ecosystem.",
"related_coin_ids": [
"wrapped-solana"
],
"posted_at": "2026-06-15T03:56:19.514666Z"
},
{
"title": "Solana Sees Rising Tokenized Asset Volumes and Institutional RWA Products",
"description": "Blockworks data indicates growing tokenized-asset volumes on Solana across various categories. Institutional products, like OnRe's dollar/reinsurance-backed offering, are emerging, increasing RWA activity.",
"related_coin_ids": [
"wrapped-solana"
],
"posted_at": "2026-06-15T03:56:19.486886Z"
}
]News & Insights
Coin Insights
To query the latest coin insights on CoinGecko
GET
/
insights
Coin Insights
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/insights \
--header 'x-cg-pro-api-key: <api-key>'[
{
"title": "Solana Experiences Surge in Memecoin Launches and Impersonation Scams",
"description": "Solana's network is seeing a rise in memecoin launches and rapid pumps. However, this speculative activity is accompanied by impersonation scams, posing risks to the ecosystem.",
"related_coin_ids": [
"wrapped-solana"
],
"posted_at": "2026-06-15T03:56:19.514666Z"
},
{
"title": "Solana Sees Rising Tokenized Asset Volumes and Institutional RWA Products",
"description": "Blockworks data indicates growing tokenized-asset volumes on Solana across various categories. Institutional products, like OnRe's dollar/reinsurance-backed offering, are emerging, increasing RWA activity.",
"related_coin_ids": [
"wrapped-solana"
],
"posted_at": "2026-06-15T03:56:19.486886Z"
}
]Notes
- Find a coinβs API ID on its CoinGecko page, via Coins List, or this Google Sheet.
- Without
coin_id, returns all latest insights on any coins on CoinGecko. pagesupports up to 20 pages, andper_pagesupports up to 20 results per page.- Use
fromandtoto filter insights by date range (ISO date stringYYYY-MM-DD).
Not on the Enterprise plan? Submit your interest to access this feature.
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Page through results. Default value: 1 Valid values: 1...20
Total results per page. Default value: 10 Valid values: 1...20
Filter insights by coin ID.
*refers to /coins/list.
Starting date in ISO date string (YYYY-MM-DD).
Ending date in ISO date string (YYYY-MM-DD).
Was this page helpful?
βI

